
//admob
//initialize the goodies 
function initAd(){
        if ( window.plugins && window.plugins.AdMob ) {
            var ad_units = {
                ios : {
                    banner: 'ca-app-pub-xxxxxxxxxxx/xxxxxxxxxxx',   //PUT ADMOB ADCODE HERE 
                    interstitial: 'ca-app-pub-xxxxxxxxxxx/xxxxxxxxxxx'  //PUT ADMOB ADCODE HERE 
                },
                android : {
                    banner : "ca-app-pub-6077962890201331/1265488600",
                    interstitial : "ca-app-pub-6077962890201331/2742221808"
                }
            };
            var admobid = ad_units.android ;
 
            window.plugins.AdMob.setOptions( {
                publisherId: admobid.banner,
                interstitialAdId: admobid.interstitial,
                adSize: window.plugins.AdMob.AD_SIZE.SMART_BANNER,  //use SMART_BANNER, BANNER, LARGE_BANNER, IAB_MRECT, IAB_BANNER, IAB_LEADERBOARD 
                bannerAtTop: true, // set to true, to put banner at top 
                overlap: true, // banner will overlap webview  
                position : 8,
                offsetTopBar: true, // set to true to avoid ios7 status bar overlap 
                isTesting: false, // receiving test ad 
                autoShow: true // auto show interstitial ad when loaded 
            });
 
            registerAdEvents();
            window.plugins.AdMob.createInterstitialView();  //get the interstitials ready to be shown 
            window.plugins.AdMob.requestInterstitialAd();
 
        } 
}
//functions to allow you to know when ads are shown, etc. 
function registerAdEvents() {
        document.addEventListener('onReceiveAd', function(){});
        document.addEventListener('onFailedToReceiveAd', function(data){});
        document.addEventListener('onPresentAd', function(){});
        document.addEventListener('onDismissAd', function(){});
        document.addEventListener('onLeaveToAd', function(){ });
        document.addEventListener('onReceiveInterstitialAd', function(){ 
    
        });
        document.addEventListener('onPresentInterstitialAd', function(){ 
    
        });
        document.addEventListener('onDismissInterstitialAd', function(){
           //window.plugins.AdMob.createInterstitialView();
        });
    }
 

//display the banner 
function showBannerFunc(){

    window.plugins.AdMob.createBannerView();
}
//display the interstitial 
function showInterstitialFunc(){
    window.plugins.AdMob.createInterstitialView();
    window.plugins.AdMob.showInterstitialAd(true,function(){},function(e){});
}

angular.module('starter', ['ionic','starter.controllers','starter.services'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    if(window.cordova && window.cordova.plugins.Keyboard) {
      // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
      // for form inputs)
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

      // Don't remove this line unless you know what you are doing. It stops the viewport
      // from snapping when text inputs are focused. Ionic handles this internally for
      // a much nicer keyboard experience.
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }
    //ads
    initAd();

    //show ADS
    showBannerFunc();
  });
}).config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {

    $urlRouterProvider.otherwise('/');
    //splash
    $stateProvider.state('home', {
        url: '/',
        templateUrl: 'templates/home.html',
        controller: 'GuideController'
    });   
    $stateProvider.state('step', {
        url: '/steps/:id',
        templateUrl: 'templates/step.html',
        controller: 'GuideController'
    }

    );
});
angular.module('starter.services', [])
.factory('GuideSteps', function() {
    var steps = [
        {
            id:0,
            content:{
                background:'background:#000;'
            },
            header:{
                image:'img/header.png',
            },
            body:{
                image : 'img/1.png',
            },
            button:{
                next :'img/next.png',
                rate:'',
                home:''
            }
        },
        {
            id:1,
            content:{
                background:'background:#000;'
            },
            header:{
                image:'img/header.png',
            },
            body:{
                image : 'img/2.png',
            },
            button:{
                next :'img/next.png',
                rate:'',
                home:''
            }
        },
        {
            id:2,
            content:{
                background:'background:#000;'
            },
            header:{
                image:'img/header.png',
            },
            body:{
                image : 'img/3.png',
            },
            button:{
                next :'img/next.png',
                rate:'',
                home:''
            }
        },
        {
            id:3,
            content:{
                background:'background:#000;'
            },
            header:{
                image:'img/header.png',
            },
            body:{
                image : 'img/4.png',
            },
            button:{
                next :'img/next.png',
                rate:'',
                home:''
            }
        },
        {
            id:4,
            content:{
                background:'background:#000;'
            },
            header:{
                image:'img/header.png',
            },
            body:{
                image : 'img/5.png',
            },
            button:{
                next :'img/next.png',
                rate:'',
                home:''
            }
        },
        {
            id:5,
            content:{
                background:'background:#000;'
            },
            header:{
                image:'img/header.png',
            },
            body:{
                image : 'img/6.png',
            },
            button:{
                next :'img/next.png',
                rate:'',
                home:''
            }
        },
        {
            id:6,
            content:{
                background:'background:#000;'
            },
            header:{
                image:'img/header.png',
            },
            body:{
                image : 'img/7.png',
            },
            button:{
                next :'',
                rate:'img/rate.png',
                home:'img/home.png'
            }
        }

    ];
    return {
        all:function(){
                return steps;
        },
        get: function(stepID) {
          for (var i = 0; i < steps.length; i++) {
            if (steps[i].id === parseInt(stepID)) {
              return steps[i];
            }
          }
          return null;
        }
    };
});
angular.module('starter.controllers', ['ngCordova'])
.controller('GuideController', ['GuideSteps','$scope','$rootScope','$state','$cordovaSocialSharing','$stateParams',  function(GuideSteps,$scope,$rootScope,$state,$cordovaSocialSharing,$stateParams) {

    $scope.goto = function(id){
        setTimeout(function(){$state.go('step',{ id: id } );}, 3000);
        if(id!==0){
          showInterstitialFunc();
        }    
    };
    var stpID = $stateParams.id;
    $scope.step = GuideSteps.get(stpID);
    /*$scope.diInter = function(){
        showInterstitialFunc();
    };*/
    $scope.gotoApp = function(packageName){
                      window.open('market://details?id='+packageName, '_system', '');
    };
}]);
